> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pricing

> List Pricing



## OpenAPI

````yaml openapi/v1-en.yaml GET /api/v1/prices
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/prices:
    get:
      tags:
        - Price
      summary: List Pricing
      description: List Pricing
      operationId: v1-price-list-price
      parameters:
        - name: price_ids
          in: query
          description: 'Filter by price IDs. Array size limit: [0,100]'
          schema:
            type: array
            items:
              type: string
        - name: status
          in: query
          description: |-
            Filter status
             - draft: Draft
             - active: Active 
             - frozen: Inactive
          schema:
            type: string
        - name: starting_after
          in: query
          description: >-
            Cursor for pagination. starting_after is the object ID that defines
            your position in the list. For example, if you want to get the next
            page, you can use the last object's ID as the parameter value after
            getting the object list for the first time. Cannot be used together
            with ending_before
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            Cursor for pagination. ending_before is the object ID that defines
            your position in the list. For example, if you want to get the
            previous page, you can use the first object's ID as the parameter
            value after getting the object list for the first time. Cannot be
            used together with starting_after
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Pagination parameter, interface defaults to sorting by creation time
            in descending order. Limit: [1, 100]
          schema:
            type: integer
            format: int32
        - name: product_id
          in: query
          description: Filter by product ID.
          schema:
            type: string
        - name: created_at.gt
          in: query
          description: >-
            Minimum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.gte
          in: query
          description: >-
            Minimum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lt
          in: query
          description: >-
            Maximum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lte
          in: query
          description: >-
            Maximum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPricesResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    ListPricesResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/ListPricesResponse_Data'
    ListPricesResponse_Data:
      type: object
      properties:
        has_more:
          type: boolean
          description: Whether there is more data
        list:
          type: array
          items:
            $ref: '#/components/schemas/Price'
          description: Pricing information record list
    Price:
      type: object
      properties:
        id:
          type: string
          description: Pricing plan ID
        price_name:
          type: string
          description: Pricing plan name
        price_alias:
          type: string
          description: Pricing plan alias
        product_id:
          type: string
          description: Associated product ID
        merchant_id:
          type: string
          description: Merchant ID
        currency:
          type: string
          description: Currency
        billing_type:
          type: string
          description: 'Billing type: one_time-one-time, recurring-recurring'
        price_val:
          type: string
          description: One-time payment price, required when `billing_type` is one_time
        description:
          type: string
          description: Pricing description
        price_plan:
          allOf:
            - $ref: '#/components/schemas/PricePlan'
          description: Pricing plan
        biz_status:
          type: string
          description: 'Status: draft-draft, active-activated, frozen-frozen'
        has_trial:
          type: boolean
          description: 'Whether trial period is enabled: 0-no, 1-yes'
        trial_period:
          allOf:
            - $ref: '#/components/schemas/TrialPeriod'
          description: Trial period configuration
        created_at:
          type: string
          description: Creation time
        price_type:
          type: string
          description: Price Type
        usage_amount:
          type: string
          description: Usage Amount
        usage_unit:
          type: string
          description: Usage Unit
        model_type:
          type: string
          description: Model Type
        billing_threshold:
          type: string
          description: Billing Threshold
        trial_type:
          type: integer
          description: |-
            Trial type
             - 0: Free trial
             - 1: Paid trial
          format: int32
        trial_amount:
          type: string
          description: Trial amount
        metadata:
          type: object
          additionalProperties:
            type: string
          description: >-
            A set of key-value pairs that can be attached to an object, allowing
            you to store additional information in a structured format.
    PricePlan:
      type: object
      properties:
        price_plan_id:
          type: string
        plan_name:
          type: string
        billing_cycle_unit:
          type: string
        billing_cycle_count:
          type: integer
          format: int32
        is_infinite:
          type: boolean
        base_price_val:
          type: string
        plan_description:
          type: string
        price_plan_tiers:
          type: array
          items:
            $ref: '#/components/schemas/PricePlanTier'
      description: Price plan
    TrialPeriod:
      type: object
      properties:
        trial_period_unit:
          type: string
          description: 'Trial period unit, required, such as: day, week, month, etc.'
        trial_period_count:
          type: integer
          description: 'Trial period count, required, such as: 7 days, 1 month, etc.'
          format: int32
      description: TrialPeriod - Trial period configuration
    PricePlanTier:
      type: object
      properties:
        period_count:
          type: integer
          format: int32
        period_unit:
          type: string
        original_price:
          type: string
        due_price:
          type: string
        discount_type:
          type: string
        discount_value:
          type: string
      description: Price plan tier
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````